Skip to main content
GET
Retrieve DriverDays that belong to a Company

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept-Language
string
default:en

The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.

Example:

"en"

Path Parameters

company-id
string<uuid>
required

Company ID

Query Parameters

page[limit]
integer<int32>
default:25

The maximum number of paginated results to return

Required range: x <= 100
page[after]
string

The cursor to start paginating after

page[before]
string

The cursor to stop paginating at

filter[customer_account_ids]
array

The associated Customer Account IDs

filter[vendor_account_ids]
array

The associated Vendor Account IDs

filter[driver_ids]
array

The assigned Driver IDs

filter[start_date]
string

Start date range

filter[end_date]
string

End date range

search[datagrid]
string

Search string for datagrid queries

sort[driver_day_date]
string

Sort by Driver Day Date asc or desc

sort[driver][first_name]
string

Sort by Driver First Name asc or desc

sort[driver][last_name]
string

Sort by Driver Last Name asc or desc

sort[vendor_account][name]
string

Sort by Vendor Account Name asc or desc

Response

OK

data
DriverDay-Read · object[]
required